/*
 *  MGRTObject.h
 *  MySQL GRT
 *
 *  Created by Alfredo Kojima on 05/8/17.
 *  Copyright 2005 MySQL AB. All rights reserved.
 *
 */

#include <MySQLGRT/MGRTValue.h>

class MGRTObject 
{
protected:
  MYX_GRT *_grt;
  MGRTValue _original;
  MGRTValue _object;
public:
  MGRTObject(MYX_GRT *grt, MYX_GRT_VALUE *object);
  virtual ~MGRTObject();
  
  inline MGRTValue value() const { return _object; };
  
  virtual void revert();
  virtual void commit();  
};