object SchemataFrame: TSchemataFrame
  Left = 0
  Top = 0
  Width = 183
  Height = 318
  TabOrder = 0
  TabStop = True
  object CatalogVST: TVirtualStringTree
    Left = 0
    Top = 45
    Width = 183
    Height = 273
    Align = alClient
    ButtonStyle = bsTriangle
    DragType = dtVCL
    Header.AutoSizeIndex = 0
    Header.Font.Charset = DEFAULT_CHARSET
    Header.Font.Color = clWindowText
    Header.Font.Height = -11
    Header.Font.Name = 'MS Sans Serif'
    Header.Font.Style = []
    Header.MainColumn = -1
    Header.Options = [hoColumnResize, hoDrag]
    Indent = 14
    PopupMenu = SchemaTreeViewPopupMenu
    TabOrder = 3
    TreeOptions.AutoOptions = [toAutoDropExpand, toAutoScrollOnExpand, toAutoSort, toAutoTristateTracking, toAutoDeleteMovedNodes]
    TreeOptions.PaintOptions = [toShowRoot, toThemeAware, toUseBlendedImages, toUseBlendedSelection]
    TreeOptions.SelectionOptions = [toRightClickSelect]
    TreeOptions.StringOptions = [toAutoAcceptEditChange]
    OnAfterCellPaint = CatalogVSTAfterCellPaint
    OnChange = CatalogVSTChange
    OnCompareNodes = CatalogVSTCompareNodes
    OnExpanding = CatalogVSTExpanding
    OnGetText = CatalogVSTGetText
    OnPaintText = CatalogVSTPaintText
    OnGetImageIndex = CatalogVSTGetImageIndex
    OnMouseDown = CatalogVSTMouseDown
    Columns = <>
    WideDefaultText = 'Fetching Data ...'
  end
  object TopPnl: TTntPanel
    Left = 0
    Top = 0
    Width = 183
    Height = 17
    Align = alTop
    BevelOuter = bvNone
    TabOrder = 0
    object SchemataLbl: TTntLabel
      Left = 2
      Top = 2
      Width = 57
      Height = 16
      Caption = 'Schemata'
    end
  end
  object SpacerPnl: TTntPanel
    Left = 0
    Top = 40
    Width = 183
    Height = 5
    Align = alTop
    BevelOuter = bvNone
    TabOrder = 1
  end
  inline AdvancedEdit: TAdvancedEditFrame
    Left = 0
    Top = 17
    Width = 183
    Height = 23
    Align = alTop
    AutoScroll = False
    Color = clSkyBlue
    ParentColor = False
    TabOrder = 2
    TabStop = True
    inherited SearchEd: TTntEdit
      OnChange = AdvancedEditSearchEdChange
    end
  end
  object SchemaSearchPopupMenu: TTntPopupMenu
    Left = 58
    Top = 120
    object SearchAllMI: TTntMenuItem
      AutoCheck = True
      Caption = 'All'
      Checked = True
      Default = True
      GroupIndex = 1
      RadioItem = True
      OnClick = SearchMIClick
    end
    object SearchSchemataMI: TTntMenuItem
      Tag = 1
      AutoCheck = True
      Caption = 'Schemata'
      GroupIndex = 1
      RadioItem = True
      OnClick = SearchMIClick
    end
    object SearchAssetsMI: TTntMenuItem
      Tag = 2
      AutoCheck = True
      Caption = 'Schema Assets'
      GroupIndex = 1
      RadioItem = True
      OnClick = SearchMIClick
    end
    object SearchColumnsMI: TTntMenuItem
      Tag = 4
      AutoCheck = True
      Caption = 'Columns/Indices'
      GroupIndex = 1
      RadioItem = True
      OnClick = SearchMIClick
    end
    object N3: TTntMenuItem
      Caption = '-'
      GroupIndex = 1
    end
    object CustomMI: TTntMenuItem
      Caption = 'Custom Selection'
      GroupIndex = 1
      RadioItem = True
      OnClick = SearchMIClick
      object SchemataSubMI: TTntMenuItem
        AutoCheck = True
        Caption = 'Schemata'
        OnClick = SearchMIClick
      end
      object TableSubMI: TTntMenuItem
        Tag = 1
        AutoCheck = True
        Caption = 'Tables'
        OnClick = SearchMIClick
      end
      object ColumnsSubMI: TTntMenuItem
        Tag = 2
        AutoCheck = True
        Caption = 'Columns'
        OnClick = SearchMIClick
      end
      object IndicesSubMI: TTntMenuItem
        Tag = 3
        AutoCheck = True
        Caption = 'Indices'
        OnClick = SearchMIClick
      end
      object SPSubMI: TTntMenuItem
        Tag = 4
        AutoCheck = True
        Caption = 'Stored Procedures/Functions'
        OnClick = SearchMIClick
      end
      object ViewsSubMI: TTntMenuItem
        Tag = 5
        AutoCheck = True
        Caption = 'Views'
        OnClick = SearchMIClick
      end
      object TriggersSubMI: TTntMenuItem
        Tag = 6
        AutoCheck = True
        Caption = 'Triggers'
        Enabled = False
        OnClick = SearchMIClick
      end
    end
  end
  object SchemaTreeViewPopupMenu: TTntPopupMenu
    OnPopup = SchemaTreeViewPopupMenuPopup
    Left = 96
    Top = 124
    object EditMI: TTntMenuItem
      Caption = 'Edit'
      OnClick = EditMIClick
    end
    object RenameMI: TTntMenuItem
      Caption = 'Rename'
      Visible = False
      OnClick = RenameMIClick
    end
    object DropMI: TTntMenuItem
      Caption = 'Drop'
      OnClick = DropMIClick
    end
    object CopyAssetSQLMI: TTntMenuItem
      Caption = 'Copy SQL to Clipboard'
      OnClick = CopyAssetSQLMIClick
    end
    object N1: TTntMenuItem
      Caption = '-'
    end
    object CreateNewSchemaMI: TTntMenuItem
      Caption = 'Create New Schema'
      OnClick = CreateNewSchemaMIClick
    end
    object CreateNewTableMI: TTntMenuItem
      Caption = 'Create New Table'
      OnClick = CreateNewTableMIClick
    end
    object CreateNewViewMI: TTntMenuItem
      Caption = 'Create New View'
      OnClick = CreateNewViewMIClick
    end
    object CreateNewStoredProcedureMI: TTntMenuItem
      Caption = 'Create New Procedure / Function'
      OnClick = CreateNewStoredProcedureMIClick
    end
    object N2: TTntMenuItem
      Caption = '-'
    end
    object RefreshCatalogsSchemataListMI: TTntMenuItem
      Caption = 'Refresh'
      OnClick = RefreshCatalogsSchemataListMIClick
    end
  end
  object SchemataAssetsImageList: TImageList
    BkColor = clWhite
    Left = 108
    Top = 86
    Bitmap = {
      494C01010A000E00040010001000FFFFFF00FF10FFFFFFFFFFFFFFFF424D3600
      0000000000003600000028000000400000003000000001001000000000000018
      000000000000000000000000000000000000FF7FFF7FFF7FFF7FFF7FFF7F9C73
      39673967BD77FF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F596BB556B55AB55A
      B55AB55AB55AB55AB55AB55AB5565A6BFF7F0000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000FF7FFF7FFF7FFF7FFF7FFF7FD65A
      CE39CE391863FF7FFF7FDE7B39677B6FFF7FFF7FFF7FFF7F5646143E143E143E
      143E143E143E143E143E143E133A524ADE7B0000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000FF7FFF7FFF7FFF7FFF7F9C733967
      7B6FCE391863FF7FFF7FD65AAD35B556FF7FFF7FFF7FFF7F3D579F637F5F7F5F
      7F5B7F5B7F575F575F577F5799463146DE7B0000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000FF7FFF7FFF7FFF7FFF7F9C73F75E
      39671042F75EFF7FBD776D5A0A4A9452FF7FFF7FFF7FFF7F5D5B9F637F5F7F5F
      7F5B7F5B5F575F575F577F5799463146DE7B0000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000FF7FFF7FFF7FFF7FFF7F7B6F1863
      F75ECE391863FF7FD462EF6A707BD55AFF7FFF7FFF7FFF7F5D5F9F679F639F63
      7F5F7F5F7F5B7F5B5F577F5B99463146DE7B0000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000FF7FFF7FFF7FFF7FDE7BF75ED65A
      D65ACE3939677B6B8E622E7F89665A6BFF7FFF7FFF7FFF7F5D63BF6B9F679F63
      9F637F5F7F5F7F5B7F5B7F5B99463146DE7B0000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000FF7FFF7FFF7F39679452734E9452
      744ECE35534A50520F77A7766E56BE77FF7FFF7FFF7FFF7F7E67BF6FBF6B9F67
      9F679F637F637F5F7F5F9F5F994A3146DE7B0000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000FF7FFF7F9C7331464A29D65A734E
      4F526935CC3DAB6AA876886AF562FF7FFF7FFF7FFF7FFF7F7E67DF6FBF6BBF6B
      9F679F679F639F637F5F9F5F9A4A3146DE7B0000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000FF7FFF7F5A6BD65AD65AD756AF62
      0A7F896A6A5E2B7F23726A5E3967FF7FFF7FFF7FFF7FFF7F9E6BDF73BF6FBF6F
      BF6BBF6B9F679F679F639F63BA4A3146DE7B0000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000FF7FFF7F3967F75E5B6B9B772D7B
      C97E6E7FAF7F6672256AEC41D75AFF7FFF7FFF7FFF7FFF7F9E6FDF77DF73BF6F
      BF6FBF6BBF6B9F679F67BF67BA4E3146DE7B0000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000FF7FFF7F5A6BF75E744A106F4C7F
      467E8B62B17FA87E05666A31B556FF7FFF7FFF7FFF7FFF7FBE6FFF7BDF77DF73
      DF73BF6FBF6FBF6B9F6BBF6BBA4E3146DE7B0000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000FF7FFF7F7B6F1963504E937B0D7F
      2476F0414F4EED76E97E285AF85EFF7FFF7FFF7FFF7FFF7FBF73FF7BDF77DF77
      DF73DF73BF6FBF6FBF6FDF6FDA523146DE7B0000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000FF7FFF7F3967BD77386B557BB97F
      2F7FCD6E143EE75DC87E6D5ABE77FF7FFF7FFF7FFF7FFF7FBF73FF7FFF7BDF77
      DF77DF77DF73DF735E63FD565846524AFF7F0000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000FF7FFF7F974A3246D65A18633573
      B67F94775546296646721763FF7FFF7FFF7FFF7FFF7FFF7FDF77FF7FFF7BFF7B
      FF7BDF77DF77DF77DB4E7E16172A1867FF7F0000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000FF7FFF7F3A5F54421142F03DF03D
      0F46744ED35AE97EAF6AFF7FFF7FFF7FFF7FFF7FFF7FFF7FDF77FF7FFF7FFF7F
      FF7FFF7BFF7BFF7B1D579A36185FFF7FFF7F0000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000FF7FFF7FFE7F7B6BF85AD65AB656
      D75A5B67DB7FB97FFE7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F9F6B9E6F9E6B9D6B
      7D6B7D675D675C67FA565B6BFE7FFF7FFF7F0000000000000000000000000000
      0000000000000000000000000000000000000000000000000000000000000000
      000000000000000000000000000000000000FF7FFF7FFF7FFF7FFF7FFF7FFF7F
      DE7BBD77DE7BFF7FFF7FFF7FFF7FFF7FFF7FFF7F16679156D65A5A6B7C6FBD77
      DF7BFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F396717631763176317631763
      17631763176317631763176317633967BD77FF7FFF7FDE7BBD77BD77BD77BD77
      9C73195BBD77BD77BD77DE7BFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FDE7B
      5A6BF75E5A6BDE7BFF7FFF7FFF7FFF7FFF7F967765620252064E084E2D4EB456
      D65E5A679C6FBD77FF7FFF7FFF7FFF7FFF7F195FF239AF31D035D035D035D035
      D035D035D035D035D035D035D035F03D3967FF7FDE7BD1156F054E056E056E09
      4D010E1A6E056E096E0DD01DF84EDE7BFF7FFF7FFF7FFF7FFF7FFF7FFF7F9C73
      B556314694525A6BDE7BFF7FFF7FFF7FFF7F3273937B6D7F297BC86E8662235A
      E54D2A4E2B4E935218639C73FF7FFF7FFF7F793EFC52FC52FC52FC4EFC4EFC4E
      DC4EFD4EBC467B3E7B3A9B429C42D0351763FF7FBD779005D305F3051412B10D
      50262E3B6D05B10590056E052C05BD77FF7FFF7FFF7FFF7FFF7FFF7FFF7F7B6F
      0000EF3D3146F75EBD77FF7FFF7FFF7FFF7FC772947B917F8F7F907F8F7F8E7F
      4C7B0873A766665E2752B5569D73FF7FFF7FBA4ADF73BF6FBF6B9F679F679F63
      9F673605771136053605DD46DD4AD0351763FF7FBD77B009D305150E351A6D05
      775B50431122B109D30590054E09BD77FF7FFF7FFF7FFF7FFF7FFF7FFF7F630C
      396700003146F75EBD77FF7FFF7FFF7FFF7FC5725077D57FAF7FB07FB07FB07F
      B07FB17FD07FB07FE672084E3963FF7FFF7FDB4ABF73BF6F9F6B9F677F677F63
      BF6B36059E6F9E6F3605BD42DD4AF0391763FF7FDE7B7532B105150ED111532E
      DB6F734FB6428F05F3059005D119DE7BFF7FFF7FFF7FFF7FFF7FFF7FFF7F8410
      396700420000F75EBD77FF7FFF7FFF7FFF7FC7720C77D77FD17FD17FD17FD17F
      D17FD17FB17F6F776E7B455A92529D73FF7FDB4EDF73BF6F9F6B9F6B9F677F63
      BF6B36059E6F9E6F5609FE4AFD4AF1391763FF7FFF7FDE7B542EB1098E0DDE77
      355B765BD7468F05B205B00D7C6FFF7FFF7FFF7FFF7FFF7FFF7FFF7FDE7BC618
      396721043146F75EBD77FF7FFF7FFF7FFF7FE9720A7B957BF47FF27FF27FF27F
      F27FD27F916F2E675173EB6AE8491963DE7BFC4EDF77BF73BF6FBF6F9F6B9F67
      BF6B36053605360536055F5B1E4FF1391763FF7FFF7FFF7FDE7BF8528B254639
      2531052D281DB00D7536BD73FF7FFF7FFF7FFF7FFF7FFF7FFF7FDE7B5A6BE71C
      5A6B434A210494525A6BDE7BFF7FFF7FFF7FE8722C7F307BF97FF57FF57FF47F
      F37F926F516351631167536FE44D71529D731D53DF77BF73BF6F9F6B9F6B9F67
      9F67BF6B313EBA463F577F5F3F53F1391763FF7FFF7FFF7FDE7BB3562C626D6E
      8E724C668841CD35BD77FF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F9C73B5560821
      5A6B8410EF3D1042B5569C73FF7FFF7FFF7FE972907F2B7B517B957BB67BD97F
      966F53639767B76B346358676A5AC84118633D53DF7BDF777E671D571D571D57
      5E5F9F5B494D593ADD463E573F53113AF762FF7FFF7FFF7F9B6FB06EAF72D076
      D076D0766E6689415A6BFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F7B6F6B2DAA56
      5A6B664E8410EF3D734E7B6FFF7FFF7FFF7F0973B17F8F7F6D7F6D7F4D7BAC5E
      155BBC6BDC6BB96B986B7C671463A345724E3E57FF7F35055611560D9711BC46
      3F4FAE559E6F49597B3AFD4E5F57123AF762FF7FFF7FFF7FF65AD072117B117B
      117B117B117B0B52B44EFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FAD357B6F7B6F
      7B6F8852664EA514B5569C73FF7FFF7FFF7F0973F37FF17FF27FF27F2F67CE31
      585FDA6FBA67B95F785F7863355FC54591565E57FF7F35059E6F9E6F3409CF31
      29459E6F9E6F9E6F29595F575F57123AF762FF7FFF7FDE7BD456F172327B327B
      327B327B327B6E5E934ADE7BFF7FFF7FFF7FFF7FFF7FFF7FFF7FEF3DEF7F7B6F
      8C31AA568952E71C5A6BDE7BFF7FFF7FFF7F0A73F57FF27FF27FF37F94730F42
      185BFF7FFF77FE5B9A3FF436CA250D429B735F57FF7F35059E6F9E6F35053D5B
      DF6B0E669E6F8A613D5B7F637F57123AF762FF7FFF7FDE7BD456CF6A327B327B
      327B327B327B8E62D556FF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F3146F07FF07F
      9C737B6F7B6F4A29DE7BFF7FFF7FFF7FFF7F5077D47FF77FF67FF87F5077EE66
      CD3D185FFF7FFF73FF4B311E523EFF7FFF7F7F57FF7F3505350535053505DF77
      DF77FF770E6A7D6BBF6BBF6B9F5B123AF762FF7FFF7FFF7FF65EC34DE4516B66
      F076117BCE724B5E7B6BFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F524A3146
      1042CE39AD35FF7FFF7FFF7FFF7FFF7FFF7FBA7B0D730C730B730D735573DC7F
      796FEF3D1863FF77733A5242FF7FFF7FFF7FBE46FE561E5B3F633F5F1F5FDE52
      DE52DE4E1F4FDE4EBE4ABE4ABF46D135F762FF7FFF7FFF7FBD77E54D055A495E
      E451C34DE4514B52DE7BFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F
      FF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFE7FFE7FFE7FFE7FFF7FFF7F
      FF7F9C73104231425246FF7FFF7FFF7FFF7F9B255B215B215B215B217B217B21
      7B217B217B217B217B217B215C21D339396BFF7FFF7FFF7FFF7FF55EC44D275A
      6A5E065607529B73FF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F
      FF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F
      FF7FFF7F7B6F734EDE7FFF7FFF7FFF7FFF7F3B211A1D1A1D1A1D1A1D1A1D1A1D
      1A1D1A1D1A1D1A1D1A1D1A1DDA14BA52DD7BFF7FFF7FFF7FFF7FDE7B596B4D4E
      0A4E9156BD77FF7FFF7FFF7FFF7FFF7FFF7FFF7FBD77BD77BD77BD77BD77BD77
      BD77BD77BD77BD77BD77BD77DE7BFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F
      FF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F
      FF7F9C77D65AB55AD55AD55AB55AD65A9C73FF7FFF7FFF7FFF7FFF7FFF7FFF7F
      FF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FBD771863B556B556B556B556B556
      B556B556B556B556B556D65A5A6BDE7BFF7FFF7FFF7FFF7FFF7FFF7FBE777C6B
      5B6B5B6B5B6B5B6B5B6B5B6BBD77FF7FFF7FFF7FBD777B6F7B6F7B6F7B6F7B6F
      7B6F984A353A143A143A143A353AF235D65AFF7FFF7FFF7FFF7FFF7FFF7FFF7F
      FF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F5A42571D571D571D571D571D571D
      571D571D571D571D571D9625B5569C73FF7FFF7FFF7FFF7FFF7FDF7B106FE749
      8541A641A641A641C7456F56D75A9C73FF7FFF7F754AD035D035D035D035D035
      D035DA46DD539C477B3F7B3B7C3B353AB55AFF7FFF7FFF7FFF7FFF7FFF7FFF7F
      DE7B7B6F9C73FF7FFF7FFF7FFF7FFF7FFF7F571D781DDF3E7F265F1E5F1E5F1E
      5F1E5F1E5F1E5F1E5F22771D12423967FF7FFF7FFF7FFF7FFF7F737B005AC872
      346BF06ACC6AA766416AA1496F563967FF7FFF7FDB4E1C57DB4EFB4E1D57FC4E
      BB4A1C4F3B47B932B82E972AF932563EB55AFF7FFF7FFF7FFF7FFF7FFF7FFF7F
      F75EEF3994569C73FF7FFF7FFF7FFF7FFF7F571D991D9D3EBF367F2A7F2A7F2A
      7F2A7F2A7F2A7F2A9F2E9821D431D65ABD77FF7FFF7FFF7FFF7FC76A287FFA7F
      FF7FFC7FB57F6D7BE676626EE64D1963FF7FFF7FDB4E3D5BFC521C577F67FD4E
      DB4A3D539D575C473C3F1B373A37763EB55AFF7FFF7FFF7FFF7FFF7FFF7FF75E
      AD216B158C2D94569C73FF7FFF7FFF7FFF7F571DBA1D5C3AFF4ABF3ABF3ABF3A
      BF3ABF3ABF3ABF3ADF3E1A329725734E7B6FFF7FFF7FFF7FFF7F8562B37FFC7F
      FF7FFF7FFA7FB17F687FA27AA2453A67FF7FFF7FDB4E5E5F1D571C579F671D53
      DC4A5E539D5B5D4B5C431B373A3B9742B55AFF7FFF7FFF7FFF7FFF7FF75E8C21
      3122D62A8C196B2D94569C73FF7FFF7FFF7F571DFB251A323F57FF46FF46FF46
      FF46FF46FF46FF46FF467B42F931764A7B6FFF7FFF7FFF7FFF7FA666907FE96A
      A962A962876265628366087BE64D7C6FFF7FFF7FDB4E7E633D5B3C5B9F6B3E57
      FC4E7E579D5B5C4F5C4B1B3F7B3FB842B556FF7FFF7FFF7FFF7F1863AD217322
      5A335A33F72E8C196B2DB556BD77FF7FFF7F571D5C2ED9297F5F1F4F1F4F1F4F
      1F4F1F4F1F4F1F4F1F539B46BB525942DE7BFF7FFF7FFF7FFF7F747782664B7B
      9877767772772D73E576025A70523A67FF7FFF7FDB4E7E673D5B3C5F9F6B3E5B
      FC521C323C3A3C3A3C3A3C363D32F8311763FF7FFF7FFF7F9C73103AD642FF57
      DE3F5A333933F72E8C19AD359C73FF7FFF7F571D9D3A98219F679F679F679F67
      9F679F679F679F679F671D5F9D6F771DFF7FFF7FFF7FFF7FFF7FE86E497FFB7F
      FF7FFE7FD87FB17F477FC27A0552195FFF7FFF7FDB4E7D673D5B3C5FBF6F3D5B
      FC52BB31BC31BC31BB2D9B2938213A46FE7FFF7FFF7FFF7F3967EF397B67FF7B
      FF6FFF4F7B375A33311EAD297B6FFF7FFF7F571DDD46FA2D571D571D571D571D
      571D571D571D571D571D571D98219B4EFF7FFF7FFF7FFF7FFF7F8562B47FFC7F
      FF7FFF7FFA7FD27F687FC37AA3451963FF7FFF7FDB4E7D673D5F3C5FBF6F3D5B
      FC52BE6B7E5F1D53FC4E5E57323E9A73FF7FFF7FFF7FFF7FFF7F1863103E9C6F
      FF7FFF6FFF479422CE299C73FF7FFF7FFF7F571DFD4EFD4EFD4EFD4EFD4E3D57
      DF73DF73DF73DF739E6F9821FF7FFF7FFF7FFF7FFF7FFF7FFF7FA566697FE96A
      AA62A962876285628366C37AA3491963FF7FFF7FDB4E7E6B5D635C63BF735E5F
      1C577E675E5F1D53FC4E3E57333E7A6FFF7FFF7FFF7FFF7FFF7FFF7F18631042
      9C73FF7BF746EF299C73FF7FFF7FFF7FFF7F571D7E671D531D531D531D531C5B
      571D571D571D571D98219B4AFF7FFF7FFF7FFF7FFF7FFF7FFF7FA466A36A957B
      51774F774E772C774A77225AC2491963FF7FFF7FDB4E9E6B5D635C63BF735E63
      1C5B9E6B5E5F1D57FC525F57333E7A6FFF7FFF7FFF7FFF7FFF7FFF7FFF7FF75E
      1042D652EF399C6FFF7FFF7FFF7FFF7FFF7F7B469B4ADF77DF77DF77DF77D92D
      3D63FF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F2973B57BFD7F
      FC7FFB7FD97FD77FD37F527387625B67FF7FFF7FDB4E9E6F7D679D6BFF7F7D67
      5D5FDF737E673D5B3D577F5F333E7A6FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F
      F75EEF3D7B6FFF7FFF7FFF7FFF7FFF7FFF7FDF777B46571D571D571D571D7B46
      FF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FD97F28736F77
      4F735173507351737273086F957BDE77FF7FFF7F3D3A9D4A9D4A9D467D469D46
      7D467D427D427D467D425E3AD2357A6FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F
      FF7FBD77FF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F
      FF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FDB7F7177
      51735073507350737173DA7FFF7FFF7FFF7FFF7FBA0CDA14DA14DA14FA14FA14
      FA14FA14FA14FA14FA14DB101642DD7BFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F
      FF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F
      FF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F
      FF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F
      FF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F
      FF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7FFF7F424D3E000000000000003E000000
      2800000040000000300000000100010000000000800100000000000000000000
      000000000000000000000000FFFFFF00F839E00000000000F830E00000000000
      F820E00000000000F820E00000000000F800E00000000000E001E00000000000
      C001E00000000000C001E000000000008003E000000000008001E00000000000
      8001E000000000008003E000000000008003E000000000008007E00000000000
      8007EC0100000000C00FE00300000000FE3F800080008001FC1F000000008001
      FC0F000000008001FC0F000000008001FC0F000000008001FC0F000000008001
      F80F00000000C003F00700000000E007F00700000000C007F00700000000C007
      F00700000000C007F00700000000C007F00F00000000C007F83F00000000C00F
      FFFF00000000E00FFFFF00000000E01F8000FC07FF00FF000000F0018000FFFE
      0000F0018000FE1E0000F00080007C0E0000F000800078060000F18080007002
      0000F000800070020000F000800060020000F100800060030000F18080017007
      0000F0008001780F0000F00080017C1F0000F00080017E3F0000F00180017F7F
      0000F80380017FFF0000FFFFFFFF000300000000000000000000000000000000
      000000000000}
  end
end
